export interface CopyToClipboardOptionsHook {
    debug?: boolean;
    message?: string;
    format?: string;
    onCopy?: (clipboardData: object) => void;
}
export type CopyToClipboardHook = [(text: string, options?: CopyToClipboardOptionsHook) => boolean, {
    value: string;
    success: boolean;
}];
export default function useCopyToClipboard(): (((text: string, options?: CopyToClipboardOptionsHook) => void) | {
    value: string;
    success: boolean;
})[];
