"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var useAsync_1 = tslib_1.__importDefault(require("../useAsync"));
function useScript(url) {
    var _a = (0, useAsync_1.default)(function () {
        var script = document.createElement("script");
        script.src = url;
        script.async = true;
        return new Promise(function (resolve, reject) {
            script.addEventListener("load", resolve);
            script.addEventListener("error", reject);
            document.body.appendChild(script);
        });
    }, [url]), loading = _a[1], error = _a[2];
    return [loading, error];
}
exports.default = useScript;
