"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FetchDefaultOptions = void 0;
var tslib_1 = require("tslib");
var useAsync_1 = tslib_1.__importDefault(require("../useAsync"));
exports.FetchDefaultOptions = {
    headers: {
        "Content-Type": "application/json"
    }
};
function useFetch(url, options, dependencies) {
    var _this = this;
    if (options === void 0) { options = {}; }
    if (dependencies === void 0) { dependencies = []; }
    return (0, useAsync_1.default)(function () { return tslib_1.__awaiter(_this, void 0, void 0, function () {
        var res, json;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, fetch(url, tslib_1.__assign(tslib_1.__assign({}, exports.FetchDefaultOptions), options))];
                case 1:
                    res = _a.sent();
                    if (res.ok)
                        return [2 /*return*/, res.json()];
                    return [4 /*yield*/, res.json()];
                case 2:
                    json = _a.sent();
                    return [4 /*yield*/, Promise.reject(json)];
                case 3: return [2 /*return*/, _a.sent()];
            }
        });
    }); }, dependencies);
}
exports.default = useFetch;
